You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data processor API
DescribeProcessorByTopic
Copy page
Download PDF
DescribeProcessorByTopic
Call the DescribeProcessorByTopic API to retrieve the data processors associated with a specific log topic.​
Request instructions​
  • Request method: GET​
  • Request address: https://{tls-endpoint}/DescribeProcessorByTopic​
Request parameters​
The following table lists only the unique request parameters for this API and some common parameters. For more information, see Common parameters.​
Query​
​
Parameters​
Type​
Required​
Example value​
Description​
TopicId​
String​
Yes​
e28ba531-2711-492e-9001-0fd351ee****​
Log topic ID.​
​
Response parameters​
The following table lists only the unique response parameters for this API. For more information, see Response Structure.​
​
Parameters​
Type​
Example value​
Description​
AccountId​
String​
214748****​
The unique identifier for the account, used to distinguish different accounts.​
CreateTime​
String​
2023-01-15T08:30:00Z​
The creation time of the data processor.​
DSLContent​
String​
f_rename("path", "newpath")​
The DSL content of the processor.​
Defines the specific logic or configuration for the processor Length must be between 1 and 4,000 characters​
Description​
String​
This is a data processor​
Description of the data processor.​
Briefly describes the purpose or function of the data processor. Be between 1 and 255 characters long.​
FailStrategy​
String​
keep_raw​
Strategy for handling failures in the data processor. Supported values are listed below.​
  • keep_raw: Preserve original data.​
  • drop_log: Discard logs.​
ProcessorId​
String​
9e91e9e5-2063-4182-8eff-b7371500****​
Data processor ID​
ProcessorName​
String​
log_processor_1​
Name of the data processor.​
Used to uniquely identify a data processor. Length must be between 1 and 63 characters.​
ProcessorStatus​
String​
enabled​
Status of the data processor.​
  • enabled (default): Enabled status.​
  • Disabled: Not enabled.​
ProjectId​
String​
3ab4ffc5-a5d7-43c1-9012-8466c26c****​
The associated project ID.​
ProjectName​
String​
my-log-project​
Name of the associated project​
UpdateTime​
String​
2023-01-15T10:45:00Z​
Data processor update time.​
​
Sample request​
​
GET https://{tls-endpoint}/DescribeProcessorByTopic?&TopicId=e28ba531-2711-492e-9001-0fd351ee**** HTTP/1.1​
Content-Type: application/json​
​
Sample response​
​
Content-Type: application/json; charset=utf-8​
{​
"AccountId": "214748****",​
"CreateTime": "2023-01-15T08:30:00Z",​
"DSLContent": "f_rename("path", "newpath")",​
"Description": "This is a data processor for renaming log paths",​
"FailStrategy": "keep_raw",​
"ProcessorId": "9e91e9e5-2063-4182-8eff-b7371500****",​
"ProcessorName": "log_processor_1",​
"ProcessorStatus": "enabled",​
"ProjectId": "3ab4ffc5-a5d7-43c1-9012-8466c26c****",​
"ProjectName": "my-log-project",​
"UpdateTime": "2023-01-15T10:45:00Z"​
}​
​
Error Code​
You can visit Common Error Codes for more error code details.​
Last updated: 2026.05.07 11:17:18